## org.apache.lucene.analysis.cz
Class CzechAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.ReusableAnalyzerBase
              org.apache.lucene.analysis.cz.CzechAnalyzer

All Implemented Interfaces:
  Closeable

    public final class CzechAnalyzer

extends org.apache.lucene.analysis.ReusableAnalyzerBase

`Analyzer` for Czech language.

Supports an external list of stopwords (words that will not be indexed at all). A default set of stopwords is used unless an alternative list is specified.

You must specify the required `Version` compatibility when creating CzechAnalyzer:

- As of 3.1, words are stemmed with `CzechStemFilter`
- As of 2.9, StopFilter preserves position increments
- As of 2.4, Tokens incorrectly identified as acronyms are corrected (see LUCENE-1068)

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents`

Field Summary
`static String[]` `CZECH_STOP_WORDS` Deprecated. use `getDefaultStopSet()` instead
`static String` `DEFAULT_STOPWORD_FILE` File containing default Czech stopwords.

Constructor Summary
`CzechAnalyzer(org.apache.lucene.util.Version matchVersion)` Builds an analyzer with the default stop words (`getDefaultStopSet()`).
`CzechAnalyzer(org.apache.lucene.util.Version matchVersion, File stopwords)` Deprecated. use `CzechAnalyzer(Version, Set)` instead
`CzechAnalyzer(org.apache.lucene.util.Version matchVersion, HashSet<?> stopwords)` Deprecated. use `CzechAnalyzer(Version, Set)` instead
`CzechAnalyzer(org.apache.lucene.util.Version matchVersion, Set<?> stopwords)` Builds an analyzer with the given stop words.
`CzechAnalyzer(org.apache.lucene.util.Version matchVersion, Set<?> stopwords, Set<?> stemExclusionTable)` Builds an analyzer with the given stop words and a set of work to be excluded from the `CzechStemFilter`.
`CzechAnalyzer(org.apache.lucene.util.Version matchVersion, String... stopwords)` Deprecated. use `CzechAnalyzer(Version, Set)` instead

Method Summary
`protected org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents` `createComponents(String fieldName, Reader reader)` Creates `ReusableAnalyzerBase.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
`static Set<?>` `getDefaultStopSet()` Returns a set of default Czech-stopwords
`void` `loadStopWords(InputStream wordfile, String encoding)` Deprecated. use `WordlistLoader.getWordSet(Reader, String, Version)` and `CzechAnalyzer(Version, Set)` instead

Methods inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`initReader, reusableTokenStream, tokenStream`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CZECH_STOP_WORDS

    @Deprecated
    public static final String[] CZECH_STOP_WORDS

  Deprecated. use `getDefaultStopSet()` instead
  List of typical stopwords.

### DEFAULT_STOPWORD_FILE

    public static final String DEFAULT_STOPWORD_FILE

  File containing default Czech stopwords.

  See Also:
    Constant Field Values

Constructor Detail

### CzechAnalyzer

    public CzechAnalyzer(org.apache.lucene.util.Version matchVersion)

  Builds an analyzer with the default stop words (`getDefaultStopSet()`).

  Parameters:
    `matchVersion` - Lucene version to match See above

### CzechAnalyzer

    public CzechAnalyzer(org.apache.lucene.util.Version matchVersion,
                         Set<?> stopwords)

  Builds an analyzer with the given stop words.

  Parameters:
    `matchVersion` - Lucene version to match See above
    `stopwords` - a stopword set

### CzechAnalyzer

    public CzechAnalyzer(org.apache.lucene.util.Version matchVersion,
                         Set<?> stopwords,
                         Set<?> stemExclusionTable)

  Builds an analyzer with the given stop words and a set of work to be excluded from the `CzechStemFilter`.

  Parameters:
    `matchVersion` - Lucene version to match See above
    `stopwords` - a stopword set
    `stemExclusionTable` - a stemming exclusion set

### CzechAnalyzer

    @Deprecated
    public CzechAnalyzer(org.apache.lucene.util.Version matchVersion,
                                    String... stopwords)

  Deprecated. use `CzechAnalyzer(Version, Set)` instead

  Builds an analyzer with the given stop words.

  Parameters:
    `matchVersion` - Lucene version to match See above
    `stopwords` - a stopword set

### CzechAnalyzer

    @Deprecated
    public CzechAnalyzer(org.apache.lucene.util.Version matchVersion,
                                    HashSet<?> stopwords)

  Deprecated. use `CzechAnalyzer(Version, Set)` instead

  Builds an analyzer with the given stop words.

  Parameters:
    `matchVersion` - Lucene version to match See above
    `stopwords` - a stopword set

### CzechAnalyzer

    @Deprecated
    public CzechAnalyzer(org.apache.lucene.util.Version matchVersion,
                                    File stopwords)
                  throws IOException

  Deprecated. use `CzechAnalyzer(Version, Set)` instead

  Builds an analyzer with the given stop words.

  Parameters:
    `matchVersion` - Lucene version to match See above
    `stopwords` - a file containing stopwords
  Throws:
    `IOException`

Method Detail

### getDefaultStopSet

    public static final Set<?> getDefaultStopSet()

  Returns a set of default Czech-stopwords

  Returns:
    a set of default Czech-stopwords

### loadStopWords

    @Deprecated
    public void loadStopWords(InputStream wordfile,
                                         String encoding)

  Deprecated. use `WordlistLoader.getWordSet(Reader, String, Version)` and `CzechAnalyzer(Version, Set)` instead

  Loads stopwords hash from resource stream (file, database...).

  Parameters:
    `wordfile` - File containing the wordlist
    `encoding` - Encoding used (win-1250, iso-8859-2, ...), null for default system encoding

### createComponents

    protected org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents createComponents(String fieldName,
                                                                                                     Reader reader)

  Creates `ReusableAnalyzerBase.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.

  Specified by:
    `createComponents` in class `org.apache.lucene.analysis.ReusableAnalyzerBase`
  Returns:
    `ReusableAnalyzerBase.TokenStreamComponents` built from a `StandardTokenizer` filtered with `StandardFilter`, `LowerCaseFilter`, `StopFilter` , and `CzechStemFilter` (only if version is >= LUCENE_31). If a version is >= LUCENE_31 and a stem exclusion set is provided via `CzechAnalyzer(Version, Set, Set)` a `KeywordMarkerFilter` is added before `CzechStemFilter`.